Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.LayerContext Class Reference
Inheritance diagram for FoxitPDFSDKPython2.LayerContext:

## Public Member Functions
def | LayerContext (other)
| Constructor, with another layer context object. More...
def | CopyStates (source_context)
| Copy states from another layer context. More...
def | GetDocument ()
| Get the related PDF document. More...
def | GetUsageType ()
| Get the layer usage type for rendering. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsVisible (layer)
| Check if a specified layer node is visible in current layer context. More...
def | MergeStates (source_context)
| Merge states from another layer context. More...
def | Reset ()
| Reset current layer context, back to the initialized state. More...
def | SetVisible (layer, is_visible)
| Set the visibility of a specified layer node in current layer context. More...

## Static Public Attributes
| e_UsageDesign = _fsdk.LayerContext_e_UsageDesign
| Use for representing a document designer's structural organization of artwork.
| e_UsageExport = _fsdk.LayerContext_e_UsageExport
| Use for exporting.
| e_UsagePrint = _fsdk.LayerContext_e_UsagePrint
| Use for printing.
| e_UsageView = _fsdk.LayerContext_e_UsageView
| Use for a viewer.
| e_UsageZoom = _fsdk.LayerContext_e_UsageZoom
| Use for zooming.

## Detailed Description

This class represents a layer context for rendering. If user wants to render layers, please construct a layer context object first and then set it to a FoxitPDFSDKPython2.Renderer object by function FoxitPDFSDKPython2.Renderer.SetLayerContext .

See also
  FoxitPDFSDKPython2.Renderer

## Constructor & Destructor Documentation

## ◆ LayerContext()

def FoxitPDFSDKPython2.LayerContext.LayerContext | ( |  | other | ) |

Constructor, with another layer context object.

Parameters

  [in] | other | Another layer context object.

## Member Function Documentation

## ◆ CopyStates()

def FoxitPDFSDKPython2.LayerContext.CopyStates | ( |  | source_context | ) |

Copy states from another layer context.

Parameters

  [in] | source_context | The source layer context, whose state will be copied to current layer context.

Returns
  true means success, while false means failure.

## ◆ GetDocument()

def FoxitPDFSDKPython2.LayerContext.GetDocument | ( |  | ) |

Get the related PDF document.

Returns
  The related PDF document object.

## ◆ GetUsageType()

def FoxitPDFSDKPython2.LayerContext.GetUsageType | ( |  | ) |

Get the layer usage type for rendering.

Returns
  Layer usage type. Please refer to values starting from FoxitPDFSDKPython2.LayerContext.e_UsageView and this would be one of these values except FoxitPDFSDKPython2.LayerContext.e_UsageZoom .

## ◆ IsEmpty()

def FoxitPDFSDKPython2.LayerContext.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

def FoxitPDFSDKPython2.LayerContext.IsVisible | ( |  | layer | ) |

Check if a specified layer node is visible in current layer context.

Parameters

  [in] | layer | A layer node. It should belong to the same PDF document which is related to current layer context.

Returns
  true means the layer node is visible, while false means the layer node is invisible.

## ◆ MergeStates()

def FoxitPDFSDKPython2.LayerContext.MergeStates | ( |  | source_context | ) |

Merge states from another layer context.

Parameters

  [in] | source_context | The source layer context, whose state will be merged to current layer context.

Returns
  true means success, while false means failure.

## ◆ Reset()

def FoxitPDFSDKPython2.LayerContext.Reset | ( |  | ) |

Reset current layer context, back to the initialized state.

Returns
  true means success, while false means failure.

## ◆ SetVisible()

def FoxitPDFSDKPython2.LayerContext.SetVisible | ( |  | layer,
|  |  | is_visible
| ) |  |

Set the visibility of a specified layer node in current layer context.

Parameters

  [in] | layer | A layer node. It should belong to the same PDF document which is related to current layer context.
  [in] | is_visible | true means visible, and false means invisible.

Returns
  true means the layer node is visible, while false means the layer node is invisible.